Bug 197018 - [NEW PORT] science/rubygem-ruby-dcl: Ruby interface to the scientific graphic library DCL
Summary: [NEW PORT] science/rubygem-ruby-dcl: Ruby interface to the scientific graphic...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Johannes Jost Meixner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-23 06:02 UTC by murashin
Modified: 2015-03-09 17:19 UTC (History)
1 user (show)

See Also:


Attachments
shar file. (2.79 KB, text/plain)
2015-01-23 06:02 UTC, murashin
no flags Details
add dependency to science/cdcl (465 bytes, patch)
2015-01-28 07:48 UTC, murashin
no flags Details | Diff
new shar file. (1.97 KB, text/plain)
2015-02-04 06:51 UTC, murashin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description murashin 2015-01-23 06:02:45 UTC
Created attachment 152046 [details]
shar file.

Ruby interface to the scientific graphic library DCL.
Comment 1 Johannes Jost Meixner freebsd_committer 2015-01-28 07:23:55 UTC
If this is an interface port, please add a dependency (BUILD, RUN, LIB_DEPENDS as appropriate) to science/dsl
Comment 2 murashin 2015-01-28 07:48:24 UTC
Created attachment 152296 [details]
add dependency to science/cdcl
Comment 3 Johannes Jost Meixner freebsd_committer 2015-01-29 10:52:30 UTC
For reference: why does it need to be built with GCC (over clang), and why is the files/patch-extconf.rb patch necessary?
Comment 4 Johannes Jost Meixner freebsd_committer 2015-01-29 10:54:09 UTC
I'll take it.
Comment 5 murashin 2015-02-04 06:50:47 UTC
(In reply to Johannes Jost Meixner from comment #3)

I'm sorry for my late reply.

When I tested this port before, I need to use gcc instead of clang because clang doesn't recognize -R option. 
After adding dependency to science/cdcl, I try to build using clang and it's successful to build.

I remove lines related to gcc and I attach new shar file including simplified port.
Comment 6 murashin 2015-02-04 06:51:52 UTC
Created attachment 152542 [details]
new shar file.
Comment 7 commit-hook freebsd_committer 2015-03-09 16:58:22 UTC
A commit references this bug:

Author: xmj
Date: Mon Mar  9 16:58:14 UTC 2015
New revision: 380869
URL: https://svnweb.freebsd.org/changeset/ports/380869

Log:
  science/rubygem-ruby-dcl: Add port

  This is a Ruby interface to the scientific graphic library DCL.

  WWW: http://ruby.gfd-dennou.org/products/ruby-dcl/

  PR:		197018
  Differential Revision:	https://reviews.freebsd.org/D2036
  Submitted by:	Shin-ya MURAKAMI <murashin@gfd-dennou.org>
  Approved by:	mentors (implicit)

Changes:
  head/science/Makefile
  head/science/rubygem-ruby-dcl/
  head/science/rubygem-ruby-dcl/Makefile
  head/science/rubygem-ruby-dcl/distinfo
  head/science/rubygem-ruby-dcl/pkg-descr
Comment 8 Johannes Jost Meixner freebsd_committer 2015-03-09 17:19:47 UTC
Committed, with minor changes. Thanks!